> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getParticipant

> Retrieves a [Participant](#schema_user) from a [Conversation](#schema_conversation).



## OpenAPI

````yaml chat-openapi.json GET /conversations/{conversationId}/participants/{userId}
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /conversations/{conversationId}/participants/{userId}:
    get:
      tags:
        - Endpoints
      summary: Get Participant
      description: >-
        Retrieves a [Participant](#schema_user) from a
        [Conversation](#schema_conversation).
      operationId: getParticipant
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: conversationId
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
        - name: userId
          in: path
          description: User id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the [Participant](#schema_user) object
          content:
            application/json:
              schema:
                type: object
                properties:
                  participant:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Identifier of the [User](#schema_user)
                      name:
                        type: string
                        description: Name of the [User](#schema_user)
                      pictureUrl:
                        type: string
                        description: Picture url of the [User](#schema_user)
                      profile:
                        type: string
                        description: >-
                          Custom profile data of the [User](#schema_user)
                          encoded as a string
                      createdAt:
                        type: string
                        format: date-time
                        description: >-
                          Creation date of the [User](#schema_user) in ISO 8601
                          format
                      updatedAt:
                        type: string
                        format: date-time
                        description: >-
                          Updating date of the [User](#schema_user) in ISO 8601
                          format
                    required:
                      - id
                      - createdAt
                      - updatedAt
                    description: >-
                      The user object represents someone interacting with the
                      bot within a specific integration. The same person
                      interacting with a bot in slack and messenger will be
                      represented with two different users.
                    additionalProperties: false
                    x-readme-ref-name: User
                required:
                  - participant
                title: getParticipantResponse
                additionalProperties: false
        default:
          description: Returns the [Participant](#schema_user) object
          content:
            application/json:
              schema:
                type: object
                properties:
                  participant:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Identifier of the [User](#schema_user)
                      name:
                        type: string
                        description: Name of the [User](#schema_user)
                      pictureUrl:
                        type: string
                        description: Picture url of the [User](#schema_user)
                      profile:
                        type: string
                        description: >-
                          Custom profile data of the [User](#schema_user)
                          encoded as a string
                      createdAt:
                        type: string
                        format: date-time
                        description: >-
                          Creation date of the [User](#schema_user) in ISO 8601
                          format
                      updatedAt:
                        type: string
                        format: date-time
                        description: >-
                          Updating date of the [User](#schema_user) in ISO 8601
                          format
                    required:
                      - id
                      - createdAt
                      - updatedAt
                    description: >-
                      The user object represents someone interacting with the
                      bot within a specific integration. The same person
                      interacting with a bot in slack and messenger will be
                      represented with two different users.
                    additionalProperties: false
                    x-readme-ref-name: User
                required:
                  - participant
                title: getParticipantResponse
                additionalProperties: false

````